# SbThread Class Reference
[Portable thread-handling abstractions]

`#include <Inventor/threads/SbThread.h>`

List of all members.

## Detailed Description

A class for managing threads.

This class provides a portable framework around the tasks of instantiating, starting, stopping and joining threads.

It wraps the underlying native thread-handling toolkit in a transparent manner, to make multiplatform threads programming straightforward for the application programmer.

## Public Member Functions

SbBool | join (void **retval=0L)

## Static Public Member Functions

SbThread * | create (void *(*func)(void *), void *closure)
void | destroy (SbThread *thread)
SbBool | join (SbThread *thread, void **retval=0L)

## Protected Member Functions

| SbThread (cc_thread *thread)
| ~SbThread (void)

## Constructor & Destructor Documentation

SbThread::SbThread | ( | cc_thread * | thread | ) | `[inline, protected]`

Protected constructor handling the internal thread ADT.

See also:
  SbThread::create

SbThread::~SbThread | ( | void |  | ) | `[inline, protected]`

Destructor.

See also:
  SbThread::destroy

## Member Function Documentation

static SbThread * SbThread::create | ( | void *(* | func)(void *),
|  | void * | closure
| ) | `[inline, static]`

| This function creates a new thread, or returns NULL on failure.

static void SbThread::destroy | ( | SbThread * | thread | ) | `[inline, static]`

| This function destroys a thread.

int SbThread::join | ( | void ** | retval = 0L | ) | `[inline]`

| This function waits on the death of the given thread, returning the thread's return value at the location pointed to by `retval`.

static int SbThread::join | ( | SbThread * | thread,
|  | void ** | retval = 0L
| ) | `[inline, static]`

| This function waits on the death of the given thread, returning the thread's return value at the location pointed to by `retval`.

The documentation for this class was generated from the following files:

- SbThread.h
- thread.c